Subject: [Sip] timer after 200 OK sent in response to BYE

From: neeraj gupta <[email-masked]>
Date: Fri, 23 Jun 2006 09:24:15 -0700 (PDT)

Hello all
  
  I have a question about the timers in the following situation
  
 Client                                                                   Server
 -------------------------->     INVITE                      ------------------------------>
 <------------------------       100 Trying                 <------------------------------
 <------------------------       180 ringing                <-------------------------------
 -------------------------->     Cancel/Bye               -------------------------------->
 <-------------------------      200 OK                     <-------------------------------
  
  After sending the 200 OK, does the server start a timer (Timer J).  If yes, why is that so.  What is the server waiting for ?  I see this behaviour in a user agent.
  
  Thanks 
  
  Neeraj

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Manpreet Singh <[email-masked]>
Date: Fri, 23 Jun 2006 12:51:36 -0400

Neeraj
 
Based on your call flow below, BYE would never come in an early dialog. So
are you asking for 200OK for CANCEL or 200OK for BYE? Few more messages are
missing between BYE and 180 below. ( 200OK and ACK)
 
Thanks
M.

  _____  

From: neeraj gupta [mailto:[email-masked]] 
Sent: Friday, June 23, 2006 12:24 PM
To: [email-masked]
Subject: [Sip] timer after 200 OK sent in response to BYE

Hello all

Client
Server
-------------------------->     INVITE
------------------------------>
<------------------------       100 Trying
<------------------------------
<------------------------       180 ringing
<-------------------------------
-------------------------->     Cancel/Bye
-------------------------------->
<-------------------------      200 OK
<-------------------------------

After sending the 200 OK, does the server start a timer (Timer J).  If yes,
why is that so.  What is the server waiting for ?  I see this behaviour in a
user agent.

Thanks 

Neeraj

---

From: Rayees Khan <[email-masked]>
Date: Sun, 25 Jun 2006 18:12:39 +0530

Hi Neeraj,

The description is not clear. Is the 200 for CANCEL or INVITE?
Since UAC has not recieved final response a BYE cannont be generated and UAS has to generate a final response for INVITE transaction as well.

regards
Rayees

-----neeraj gupta <[email-masked]> wrote: -----

To: [email-masked]
From: neeraj gupta <[email-masked]>
Date: 06/23/2006 05:24PM
Subject: [Sip] timer after 200 OK sent in response to BYE

Hello all

Client                                                                   Server

Thanks

Neeraj

*****FSS-Private *****" DISCLAIMER: This message is proprietary to Flextronics Software Systems Limited (FSS) and is intended solely for the use of the individual to whom it is addressed. It may contain privileged or confidential information and should not be circulated or used for any purpose other than for what it is intended. If you have received this message in error, please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly prohibited from using, copying, altering, or disclosing the contents of this message. FSS accepts no responsibility for loss or damage arising from the use of the information transmitted by this email including damage from virus."

---

From: Rahul <[email-masked]>
Date: Mon, 26 Jun 2006 10:33:07 +0530

Manpreet,
Bye can come in early dialog only from the caller's side and not from
callee's side. Therefore the scenario as given by Neeraj is correct.

RFC 3261 Section 15:
" When a BYE is received on a dialog, any session
associated with that dialog SHOULD terminate. A UA MUST NOT send a
BYE outside of a dialog. The caller's UA MAY send a BYE for either
confirmed or early dialogs, and the callee's UA MAY send a BYE on
confirmed dialogs, but MUST NOT send a BYE on early dialogs."

Neeraj,
          For any non-Invite response being sent the UAS starts this
timer as value for retransmission mechanism for non-reliable transport
protocols (e.g. UDP) for TCP its value is 0.
 Regards,
 Rahul

Message: 1
Date: Fri, 23 Jun 2006 09:24:15 -0700 (PDT)
From: neeraj gupta <[email-masked]>
Subject: [Sip] timer after 200 OK sent in response to BYE
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="iso-8859-1"

Hello all

 Client
Server
  
  After sending the 200 OK, does the server start a timer (Timer J).  If
yes, why is that so.  What is the server waiting for ?  I see this
behaviour in a user agent.
  
  Thanks 
  
  Neeraj
-------------- next part --------------
An HTML attachment was scrubbed...
URL:
http://www1.ietf.org/pipermail/sip/attachments/20060623/5fd7d4d0/attachm
ent.html

------------------------------

Message: 2
Date: Fri, 23 Jun 2006 12:51:36 -0400
From: Manpreet Singh <[email-masked]>
Subject: RE: [Sip] timer after 200 OK sent in response to BYE
To: neeraj gupta <[email-masked]>, [email-masked]
Message-ID:
	
<[email-masked]>
Content-Type: text/plain; charset="us-ascii"

Neeraj
 
Based on your call flow below, BYE would never come in an early dialog.
So are you asking for 200OK for CANCEL or 200OK for BYE? Few more
messages are missing between BYE and 180 below. ( 200OK and ACK)
 
Thanks
M.

  _____  

Hello all

Client
Server

After sending the 200 OK, does the server start a timer (Timer J).  If
yes, why is that so.  What is the server waiting for ?  I see this
behaviour in a user agent.

Thanks 

Neeraj